PineRouterDocs
GuidesModelsAPI referenceApps

Transcription

POST
/v1/audio/transcriptions

Authorization

BearerAuth

AuthorizationBearer <token>

Bearer token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

file*file

Audio file

Formatbinary
model*string
language?string

ISO-639-1 language code

prompt?string
response_format?string
Default"json"
Value in"json" | "text" | "srt" | "verbose_json" | "vtt"
temperature?number
timestamp_granularities?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://pinerouter.ai/v1/audio/transcriptions" \  -F file="string" \  -F model="whisper-1"
{
  "text": "string"
}
{
  "error": {
    "code": "",
    "message": "Invalid token (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "",
    "message": "This token has no access to model gpt-5-2 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "",
    "message": "You have reached the request limit: maximum 60 requests in 1 minutes (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "bad_response_status_code",
    "message": "bad response status code 500 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error",
    "param": ""
  }
}